Chuyển đến nội dung
Diễn đàn CADViet
tranlaogia

nối các đường line giao nhau thành pline

Các bài được khuyến nghị

http://www.cadviet.com/upfiles/2/drawing1_2.dwg

e có các đường line cắt nhau nhu tren hinh ve, bây giờ e muốn chuyển các đường line này thành 1 đường pline mà phần thừa các đường line vẫn tự động xoá đi, các bác giúp em tạo lisp này với.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
http://www.cadviet.com/upfiles/2/drawing1_2.dwg

e có các đường line cắt nhau nhu tren hinh ve, bây giờ e muốn chuyển các đường line này thành 1 đường pline mà phần thừa các đường line vẫn tự động xoá đi, các bác giúp em tạo lisp này với.

Laogia : sử dụng Code này Tue_NV mới viết thử xem

(defun c:inte(/ ss p1 p2 e p)
(prompt "\n Chon cac Line :")
(setq ss (ssget '((0 . "LINE"))))
(setq p1 (getpoint "\n Chon diem dau Polyline A : "))
(setq p2 (getpoint "\n Chon diem cuoi Polyline F : "))

(command "line" p1 p2 "")
(setq e (entlast))
(setq p (getpoint "\n Pick 1 diem vao mien trong da tuyen : "))
(command "boundary" "A" "O" "P" "" p "")
(entdel e)
(command "erase" ss "")
(Command "break" "L" p1 p2)
(princ)
)

Chỉnh sửa theo Tue_NV
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Laogia : sử dụng Code này Tue_NV mới viết thử xem

(defun c:inte(/ ss p1 p2 e p)
(prompt "\n Chon cac Line :")
(setq ss (ssget '((0 . "LINE"))))
(setq p1 (getpoint "\n Chon diem dau Polyline A : "))
(setq p2 (getpoint "\n Chon diem cuoi Polyline F : "))

(command "line" p1 p2 "")
(setq e (entlast))
(setq p (getpoint "\n Pick 1 diem vao mien trong da tuyen : "))
(command "boundary" "A" "O" "P" "" p "")
(entdel e)
(command "erase" ss "")
(Command "break" "L" p1 p2)
(princ)
)

Lisp Tue_NV chạy ôốt ôồi nhưng bị ôột lỗi nhỏ

Khi pick 1 điểm vào miền trong đa tuyến thì các chữ cái nằm trong miền đa tuyến bị hình cữ nhật bao lại nhìn không được đẹp cho lắm, Tue_NV có thể khắc phục lỗi này thì tuyệt vời luôn (nhưng còn ý này nữa: Chọn điểm đầu Polyline F chứ không phải điểm cuối)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Lisp Tue_NV chạy ôốt ôồi nhưng bị ôột lỗi nhỏ

Khi pick 1 điểm vào miền trong đa tuyến thì các chữ cái nằm trong miền đa tuyến bị hình cữ nhật bao lại nhìn không được đẹp cho lắm , Tue_NV có thể khắc phục lỗi này thì tuyệt vời luôn (nhưng còn ý này nữa: Chọn điểm đầu Polyline F chứ không phải điểm cuối)

Không hiểu ý của HoangSon. Có thể nói rõ không?

Code trên chạy tốt đấy chứ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Không hiểu ý của HoangSon. Có thể nói rõ không?

Code trên chạy tốt đấy chứ

Mình đồng ý chạy rất tốt, nhưng có lỗ nhỏ xảy ra (khi pick điểm vào miền trong đa tuyến thì các chữ cái B, C, D nằm trong miền đa tuyến bị bao bởi 1 hình cữ nhật nhìn không được đẹp cho lắm, mình minh hoạ tại hình A và B), Tue_NV xem có thể khắc phục lỗi này thì tuyệt vời luôn. Cảm ơn bạn

Mình gửi bạn file lỗi: http://www.cadviet.com/upfiles/2/loi.rar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Laogia : sử dụng Code này Tue_NV mới viết thử xem

(defun c:inte(/ ss p1 p2 e p)
(prompt "\n Chon cac Line :")
(setq ss (ssget '((0 . "LINE"))))
(setq p1 (getpoint "\n Chon diem dau Polyline A : "))
(setq p2 (getpoint "\n Chon diem cuoi Polyline F : "))

(command "line" p1 p2 "")
(setq e (entlast))
(setq p (getpoint "\n Pick 1 diem vao mien trong da tuyen : "))
(command "boundary" "A" "O" "P" "" p "")
(entdel e)
(command "erase" ss "")
(Command "break" "L" p1 p2)
(princ)
)

cám ơn bác Tuệ nhiều. nhờ lisp này của bác mà giúp em được rất nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Không hiểu ý của HoangSon. Có thể nói rõ không?

Code trên chạy tốt đấy chứ

Tên các điểm A, B, C... được viết bằng lệnh MT thì các chữ cái B, C, D được bao bởi một khung chữ nhật đấy Tuệ ạ. Mình thử thay các chữ viết bằng MT thành DT thì không có hiện tượng này.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

anh chị ơi!

em vừa mới học cad mà xem phần này thấy hay hay nhưng chẳng hỉu cái đoạn code của anh Tuệ đọc thế nào ai giải thích chi tiết cho em đc ko?

thank nhìu!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anh chị ơi!

em vừa mới học cad mà xem phần này thấy hay hay nhưng chẳng hỉu cái đoạn code của anh Tuệ đọc thế nào ai giải thích chi tiết cho em đc ko?

thank nhìu!!!!

 

Nếu mới học cad thì em cứ lo học cho tốt những thao tác vẽ cơ bản của cad đi đã, vẽ tốt rồi thì tiếp tục nghiên cứu cái này thì sẽ hiểu về nó sâu hơn. mới học mà đã muốn dùng mấy thứ này là sau lười luôn đấy, vẽ không lên tay đc đâu. :bigsmile:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào các bạn! Mình mới tham gia diễn đàn! Cho mình hỏi các bạn là với những lisp mới khi ta chưa biết lệnh để dùng thì căn cứ vào đâu để biết đưọc lệnh của líp đó là gì? Các bạn giúp mình nhé! Thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào các bạn! Mình mới tham gia diễn đàn! Cho mình hỏi các bạn là với những lisp mới khi ta chưa biết lệnh để dùng thì căn cứ vào đâu để biết đưọc lệnh của líp đó là gì? Các bạn giúp mình nhé! Thanks!

Câu trả lời cho bạn ở đây!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×